Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 297643002: Add tiles to the experimental app list start page. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 5 months ago by calamity
Modified:
2 years ago
CC:
chromium-reviews, chrome-apps-syd-reviews_chromium.org, tfarina
Visibility:
Public.

Description

Add tiles to the experimental app list start page. This CL adds TileItemViews to the experimental app list which currently show the first 5 apps in the app list. This CL also changes the width of the placeholder bar on the start page to align with the tiles. BUG=349727 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=273134

Patch Set 1 : #

Total comments: 26

Patch Set 2 : address comments #

Total comments: 12

Patch Set 3 : address comments, add model observer and tests #

Total comments: 12

Patch Set 4 : final fixes #

Patch Set 5 : rebas #

Patch Set 6 : fix chromeos compile #

Patch Set 7 : fix mac test #

Unified diffs Side-by-side diffs Delta from patch set Stats (+327 lines, -16 lines) Patch
M ui/app_list/app_list.gyp View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M ui/app_list/app_list_model.cc View 1 2 2 chunks +2 lines, -0 lines 0 comments Download
M ui/app_list/app_list_model_observer.h View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
M ui/app_list/views/app_list_view_unittest.cc View 1 2 3 4 5 chunks +21 lines, -1 line 0 comments Download
M ui/app_list/views/contents_view.cc View 1 2 3 4 1 chunk +1 line, -4 lines 0 comments Download
M ui/app_list/views/start_page_view.h View 1 2 3 2 chunks +30 lines, -2 lines 0 comments Download
M ui/app_list/views/start_page_view.cc View 1 2 3 4 5 chunks +87 lines, -9 lines 0 comments Download
A ui/app_list/views/tile_item_view.h View 1 2 3 4 5 1 chunk +51 lines, -0 lines 0 comments Download
A ui/app_list/views/tile_item_view.cc View 1 2 3 4 5 1 chunk +130 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 20 (1 generated)
calamity
3 years, 5 months ago (2014-05-20 04:20:11 UTC) #1
tapted
StartPage needs some tests (I asked for some in https://codereview.chromium.org/186483004/ as well :/) I think ...
3 years, 5 months ago (2014-05-20 05:22:31 UTC) #2
tapted
https://codereview.chromium.org/297643002/diff/40001/ui/app_list/views/tile_item_view.cc File ui/app_list/views/tile_item_view.cc (right): https://codereview.chromium.org/297643002/diff/40001/ui/app_list/views/tile_item_view.cc#newcode86 ui/app_list/views/tile_item_view.cc:86: title_->SetHorizontalAlignment(gfx::ALIGN_CENTER); On 2014/05/20 05:22:31, tapted wrote: > You should ...
3 years, 5 months ago (2014-05-20 05:24:40 UTC) #3
calamity
Added a basic test in https://codereview.chromium.org/291653003 . I think that testing framework wasn't ready at ...
3 years, 5 months ago (2014-05-22 03:31:15 UTC) #4
tapted
https://codereview.chromium.org/297643002/diff/60001/ui/app_list/views/start_page_view.cc File ui/app_list/views/start_page_view.cc (right): https://codereview.chromium.org/297643002/diff/60001/ui/app_list/views/start_page_view.cc#newcode139 ui/app_list/views/start_page_view.cc:139: Layout(); I'm guessing this will left-align tiles when there ...
3 years, 5 months ago (2014-05-22 04:56:11 UTC) #5
calamity
https://codereview.chromium.org/297643002/diff/60001/ui/app_list/views/start_page_view.cc File ui/app_list/views/start_page_view.cc (right): https://codereview.chromium.org/297643002/diff/60001/ui/app_list/views/start_page_view.cc#newcode139 ui/app_list/views/start_page_view.cc:139: Layout(); On 2014/05/22 04:56:11, tapted wrote: > I'm guessing ...
3 years, 4 months ago (2014-05-27 04:29:11 UTC) #6
tapted
lgtm % nits https://codereview.chromium.org/297643002/diff/120001/ui/app_list/views/start_page_view.cc File ui/app_list/views/start_page_view.cc (right): https://codereview.chromium.org/297643002/diff/120001/ui/app_list/views/start_page_view.cc#newcode119 ui/app_list/views/start_page_view.cc:119: view_delegate->AddObserver(this); nit view_delegate -> view_delegate_, just ...
3 years, 4 months ago (2014-05-27 05:10:10 UTC) #7
calamity
https://codereview.chromium.org/297643002/diff/120001/ui/app_list/views/start_page_view.cc File ui/app_list/views/start_page_view.cc (right): https://codereview.chromium.org/297643002/diff/120001/ui/app_list/views/start_page_view.cc#newcode119 ui/app_list/views/start_page_view.cc:119: view_delegate->AddObserver(this); On 2014/05/27 05:10:10, tapted wrote: > nit view_delegate ...
3 years, 4 months ago (2014-05-27 06:21:07 UTC) #8
calamity
The CQ bit was checked by calamity@chromium.org
3 years, 4 months ago (2014-05-27 06:21:13 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/calamity@chromium.org/297643002/160001
3 years, 4 months ago (2014-05-27 06:21:27 UTC) #10
calamity
The CQ bit was checked by calamity@chromium.org
3 years, 4 months ago (2014-05-27 07:57:59 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/calamity@chromium.org/297643002/200001
3 years, 4 months ago (2014-05-27 07:58:07 UTC) #12
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). Please consider checking whether the failures are ...
3 years, 4 months ago (2014-05-27 13:59:29 UTC) #13
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
3 years, 4 months ago (2014-05-27 14:06:41 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: android_aosp on tryserver.chromium (http://build.chromium.org/p/tryserver.chromium/builders/android_aosp/builds/77900)
3 years, 4 months ago (2014-05-27 14:06:42 UTC) #15
calamity
The CQ bit was checked by calamity@chromium.org
3 years, 4 months ago (2014-05-27 23:25:53 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/calamity@chromium.org/297643002/220001
3 years, 4 months ago (2014-05-27 23:26:34 UTC) #17
commit-bot: I haz the power
Change committed as 273134
3 years, 4 months ago (2014-05-28 03:08:44 UTC) #18
jacklovesdee1132
2 years ago (2015-10-09 05:13:19 UTC) #20
Message was sent while issue was closed.

          
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa